Forum > Packages and Libraries

EC_Controls does not compile with Laz 2.3 (main/trunk)

(1/1)

wp:
Compilation of the EyeCandyControls library v0.9.44 (package eccontrols.lpk  in OPM) with Laz 2.3 (main) fails in unit ECSwitch with the error:


--- Quote ---  ecswitch.pas(1108,16) Error: Identifier not found "CompareMethods"
--- End quote ---

This is because the function "CompareMethods()" has been moved to unit LazMethodList in package LazUtils. I can fix it by adding LCLVersion to the interface uses clause, and the following snippet to the implementation part of the unit:

--- Code: Pascal  [+][-]window.onload = function(){var x1 = document.getElementById("main_content_section"); if (x1) { var x = document.getElementsByClassName("geshi");for (var i = 0; i < x.length; i++) { x[i].style.maxHeight='none'; x[i].style.height = Math.min(x[i].clientHeight+15,306)+'px'; x[i].style.resize = "vertical";}};} ---implementation {$IF LCL_FullVersion >= 2030000}uses  LazMethodList;{$IFEND}  

madref:
Just add the unit to the interface part and it runs also.

Navigation

[0] Message Index

Go to full version